#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 cryptol
version:              2.9.1
visibility:           public
id:                   cryptol-2.9.1-9tuHAnZyOrI6iB2KZeK3NF
key:                  cryptol-2.9.1-9tuHAnZyOrI6iB2KZeK3NF
license:              BSD-3-Clause
copyright:            2013-2020 Galois Inc.
maintainer:           cryptol@galois.com
author:               Galois, Inc.
homepage:             http://www.cryptol.net/
synopsis:             Cryptol: The Language of Cryptography
description:
    Cryptol is a domain-specific language for specifying cryptographic algorithms. A Cryptol implementation of an algorithm resembles its mathematical specification more closely than an implementation in a general purpose language. For more, see <http://www.cryptol.net/>.

category:             Language
abi:                  207082416011ee02a835b67fc275f641
exposed:              True
exposed-modules:
    Cryptol.Eval Cryptol.Eval.Arch Cryptol.Eval.Backend
    Cryptol.Eval.Concrete Cryptol.Eval.Concrete.Float
    Cryptol.Eval.Concrete.FloatHelpers Cryptol.Eval.Concrete.Value
    Cryptol.Eval.Env Cryptol.Eval.Generic Cryptol.Eval.Monad
    Cryptol.Eval.Reference Cryptol.Eval.SBV Cryptol.Eval.Type
    Cryptol.Eval.Value Cryptol.Eval.What4 Cryptol.Eval.What4.Float
    Cryptol.Eval.What4.SFloat Cryptol.Eval.What4.Value
    Cryptol.IR.FreeVars Cryptol.ModuleSystem Cryptol.ModuleSystem.Base
    Cryptol.ModuleSystem.Env Cryptol.ModuleSystem.Exports
    Cryptol.ModuleSystem.Fingerprint
    Cryptol.ModuleSystem.InstantiateModule
    Cryptol.ModuleSystem.Interface Cryptol.ModuleSystem.Monad
    Cryptol.ModuleSystem.Name Cryptol.ModuleSystem.NamingEnv
    Cryptol.ModuleSystem.Renamer Cryptol.Parser Cryptol.Parser.AST
    Cryptol.Parser.Lexer Cryptol.Parser.Name Cryptol.Parser.Names
    Cryptol.Parser.NoInclude Cryptol.Parser.NoPat
    Cryptol.Parser.Position Cryptol.Parser.Selector
    Cryptol.Parser.Unlit Cryptol.Parser.Utils Cryptol.REPL.Command
    Cryptol.REPL.Monad Cryptol.REPL.Trie Cryptol.Symbolic
    Cryptol.Symbolic.SBV Cryptol.Symbolic.What4 Cryptol.Testing.Random
    Cryptol.Transform.AddModParams Cryptol.Transform.MonoValues
    Cryptol.Transform.Specialize Cryptol.TypeCheck
    Cryptol.TypeCheck.AST Cryptol.TypeCheck.CheckModuleInstance
    Cryptol.TypeCheck.Default Cryptol.TypeCheck.Depends
    Cryptol.TypeCheck.Error Cryptol.TypeCheck.Infer
    Cryptol.TypeCheck.InferTypes Cryptol.TypeCheck.Instantiate
    Cryptol.TypeCheck.Kind Cryptol.TypeCheck.Monad Cryptol.TypeCheck.PP
    Cryptol.TypeCheck.Parseable Cryptol.TypeCheck.Sanity
    Cryptol.TypeCheck.SimpType Cryptol.TypeCheck.SimpleSolver
    Cryptol.TypeCheck.Solve Cryptol.TypeCheck.Solver.Class
    Cryptol.TypeCheck.Solver.Improve Cryptol.TypeCheck.Solver.InfNat
    Cryptol.TypeCheck.Solver.Numeric
    Cryptol.TypeCheck.Solver.Numeric.Fin
    Cryptol.TypeCheck.Solver.Numeric.Interval
    Cryptol.TypeCheck.Solver.SMT Cryptol.TypeCheck.Solver.Selector
    Cryptol.TypeCheck.Solver.Types Cryptol.TypeCheck.Solver.Utils
    Cryptol.TypeCheck.Subst Cryptol.TypeCheck.TCon
    Cryptol.TypeCheck.Type Cryptol.TypeCheck.TypeMap
    Cryptol.TypeCheck.TypeOf Cryptol.TypeCheck.TypePat
    Cryptol.TypeCheck.Unify Cryptol.Utils.Debug Cryptol.Utils.Fixity
    Cryptol.Utils.Ident Cryptol.Utils.Logger Cryptol.Utils.Misc
    Cryptol.Utils.PP Cryptol.Utils.Panic Cryptol.Utils.Patterns
    Cryptol.Utils.RecordMap Cryptol.Version

hidden-modules:
    Cryptol.Parser.LexerUtils Cryptol.Parser.ParserUtils
    Cryptol.Prelude Paths_cryptol GitRev

import-dirs:          /usr/lib/ghc-8.10.2/site-local/cryptol-2.9.1
library-dirs:         /usr/lib/ghc-8.10.2/site-local/cryptol-2.9.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/cryptol
hs-libraries:         HScryptol-2.9.1-9tuHAnZyOrI6iB2KZeK3NF
depends:
    GraphSCC-1.0.4-1mf8QmHp59V6XU8PFT1MxA array-0.5.4.0
    async-2.2.2-31zUiWkgzZiFg5ahhgjM7t base-4.14.1.0
    base-compat-0.11.2-JggHr2fdYLe83DSFk1MYK3
    bv-sized-1.0.2-FMihdVb8dSDAeUidj2BurU bytestring-0.10.10.0
    containers-0.6.2.1
    cryptohash-sha1-0.11.100.1-GXe5ESEozlrJPkSFbBYBg5 deepseq-1.4.4.0
    directory-1.3.6.0 exceptions-0.10.4 filepath-1.4.2.1
    gitrev-1.3.1-Het0FatRKM8GuBdILU3orB
    heredoc-0.2.0.0-7c17paDwj1PKOf07g81QlB
    libBF-0.5.1-2TbYKIIhRcKCgpat1Fyudg
    monad-control-1.0.2.3-EtTvl0x2Ga68Jz0u5UbdBz
    monadLib-3.10-1ClUaBQVpi9LOzOHa5eL5K mtl-2.2.2
    panic-0.4.0.1-Fo4sCfDqcEkCpAt882LFEy
    parameterized-utils-2.1.1-5kWS9nriivL7gnPlGkPDip pretty-1.1.3.6
    process-1.6.9.0 random-1.2.0-9ZKOj3LHVp86TAE4mLSgtI
    sbv-8.7-HONorKdLyFM2YDyiRUWOF6
    simple-smt-0.9.5-KxYsCH91YgO6DFAmMKUplo
    strict-0.4-KlMBXy7AtiAC0B5uHyZoIM text-1.2.3.2
    tf-random-0.5-FAkCtookosc1AmH2IyVmPP time-1.9.3
    transformers-base-0.4.5.2-LbAFKiTzIuP9gl40Pu1UuQ
    what4-1.0-7MtlDNSLdrXDkeIczVmk4X

haddock-interfaces:   /usr/share/doc/cryptol/html/cryptol.haddock
haddock-html:         /usr/share/doc/cryptol/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

